## libspring-java 3.0.5.RELEASE

=== debian/changelog ===
libspring-java (3.0.5.RELEASE-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 23 Feb 2011 20:29:28 -0430

libspring-java (3.0.5.RELEASE-2) unstable; urgency=low

  [ Miguel Landaeta ]
  * Fix clean target in order to allow two builds in a row.

  [ Damien Raude-Morvan ]
  * Upload to unstable.
  * d/copyright: Update to latest DEP-5 format.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 13 Feb 2011 19:34:54 +0100

libspring-java (3.0.5.RELEASE-1) experimental; urgency=low

  [ Miguel Landaeta ]
  * New upstream release. 
  * Refresh patches.

  [ Damien Raude-Morvan ]
  * Upload to experimental.
  * d/control: Rework libspring-instrument-java package long description.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 07 Nov 2010 18:44:47 +0100

libspring-java (3.0.4.RELEASE-1) experimental; urgency=low

  * New major upstream release.
    - rename packages to match libspring-*-java convention
    - build using spring-build-script Ant+Ivy infrastructure
    - completely rework B-D and Depends for all packages
      based on Maven metadata
  * Drop Andreas from Uploaders
  * Add Miguel Landaeta as Uploaders
  * Bump Standards-Version to 3.9.0: no changes needed.
  * Use mh_clean in clean target:
    - Build-Depends on maven-repo-helper >= 1.1

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 24 Aug 2010 22:54:05 +0200

libspring-2.5-java (2.5.6.SEC01-10) unstable; urgency=low

  [ Onkar Shinde ]
  * asm2 -> asm3 transition.
  * Build a new package libspring-aspects-2.5-java and include
    spring-aspects.jar file in it. This is needed to build xwork2.
    (Closes: #582510)

  [ Damien Raude-Morvan ]
  * Upload to unstable
  * Describe asm2 -> asm3 transition in d/README.Debian and in
    d/patches/15_fix_build_with_asm3.diff  

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 16 Jun 2010 21:17:02 +0200

libspring-2.5-java (2.5.6.SEC01-9) unstable; urgency=low

  [ Miguel Landaeta ]
  * Enable support for Portlet API. (Closes: #578718).

  [ Damien Raude-Morvan ]
  * Upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 26 Apr 2010 22:53:11 +0200

libspring-2.5-java (2.5.6.SEC01-8) unstable; urgency=low

  * New libspring-webmvc-struts-2.5-java binary package
    for webmvc-struts.jar. (Closes: #570533)
    Thanks to Arnaud Fontaine <arnau@debian.org>
  * Fix debian/watch to track upstream 2.x releases from
    spring-maintenance SVN tags.
    Thanks to Per Wawra <debian.perfide@safersignup.com>.
  * Replace B-D/D on glassfish-appserv by glassfish-javaee since
    glassfish-appserv-jstl.jar is now in glassfish-appserv.
  * Standards-Version to 3.8.4.
  * Source format 3.0 (quilt).
  * Move package duty under Debian Java Maintainers umbrella
    and add myself to Uploaders.
  * Disable JRuby scripting module and remove B-D since jruby Debian
    package has moved to non-free archive.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 26 Feb 2010 20:26:51 +0100

libspring-2.5-java (2.5.6.SEC01-7) unstable; urgency=low

  * Fix compat with tiles 2.2.1 (split of modules)
    - Build-Depends on libtiles-java >= 2.2.1
    - Fix debian/classpath-debian
  * Upgrade debian/copyright to DEP5
  * Bump debhelper version to >= 7
    - Replace dh_clean -k by dh_prep
    - Refactor debian/rules by using "dh"
  * Maven POMs:
    - Add a Build-Depends-Indep dependency on maven-repo-helper
    - Use mh_installpoms and mh_installjar to install the POM and the jar to the
      Maven repository
    - Remove useless debian/*.{links,install} files
    - debian/poms/*.xml: Debian crafted pom.xml files
    - debian/rules: new get-orig-pom to update debian/poms/*.xml at new upstream
      release.
  * Replace Depends and Build-Depends on "jruby1.2" by "jruby" (1.4)
  * Switch to quilt as patch system
    - Build-Depends on quilt and remove dpatch
    - Rewrite debian/README.source
    - Use dh --with quilt

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 12 Dec 2009 15:03:37 +0100

libspring-2.5-java (2.5.6.SEC01-6) unstable; urgency=low

  * New 13_tiles_22 patch for compatibility with Tiles 2.2
    - Describe this change in README.Debian
    - Bump Build-Depends on libtiles-java (>= 2.2.0)
  * Also bump Build-Depends on aspectj (>= 1.6.4)
  * Remove unneeded Build-Depends on libservlet2.4-java

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 24 Oct 2009 20:46:45 +0200

libspring-2.5-java (2.5.6.SEC01-5) unstable; urgency=low

  * cglib2.1 (2.1.3) to cglib (2.2) transition:
    - Build-Depends and Depends on libcglib-java instead of libcglib2.1-java

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 10 Oct 2009 21:49:08 +0200

libspring-2.5-java (2.5.6.SEC01-4) unstable; urgency=low

  * Migrate to JRuby 1.2 (JRuby 1.1 will be removed from unstable soon)
    Thanks to Sebastien Delafond for report (Closes: #548807).

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 29 Sep 2009 21:40:09 +0200

libspring-2.5-java (2.5.6.SEC01-3) unstable; urgency=low

  * Now build with jasperreports and aspectj helpers
    - Add Build-Depends on libjasperreports-java and aspectj
      in debian/control
    - Add Recommends on aspectj for libspring-aop-2.5-java
    - Update debian/excludesfiles/{main,tiger,tigermock} accordingly
    - Add this JARs to debian/classpath-debian for build
    - Update exclusion list in README.Debian
    - Remove 07_no_aspectj patch
  * New 12_aspectj_164 patch for compatibility with AspectJ version in Debian
  * Downgrade glassfish-appserv to Suggests for libspring-web-2.5-java package
    (Closes: #545500)
  * Bump Standards-Version to 3.8.3: no changes needed
  * Update my email address
  * Set myself as Maintainer and move Andreas Schildbach to Uploaders

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 24 Sep 2009 21:26:10 +0200

libspring-2.5-java (2.5.6.SEC01-2) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * Update Vcs-* fields to pkg-java SVN repository

