## libspring-java 3.0.6.RELEASE

=== debian/changelog ===
libspring-java (3.0.6.RELEASE-6+deb7u3) wheezy-security; urgency=high

  * Team upload.
  * Fix CVE-2013-6429 and CVE-2013-6430. (Closes: #741604).

 -- Miguel Landaeta <nomadium@debian.org>  Mon, 24 Mar 2014 18:12:13 -0300

libspring-java (3.0.6.RELEASE-6+deb7u2) wheezy-security; urgency=high

  * Team upload.
  * Fix CVE-2013-6429 and CVE-2013-6430. (Closes: #735420)
    - New patches: CVE-2013-6429.patch and CVE-2013-6430.patch.
    - Spring MVC's SourceHttpMessageConverter also processed user provided XML
      and neither disabled XML external entities nor provided an option to
      disable them. SourceHttpMessageConverter has been modified to provide an
      option to control the processing of XML external entities and that
      processing is now disabled by default.
    - The JavaScriptUtils.javaScriptEscape() method did not escape all
      characters that are sensitive within either a JS single quoted string, JS
      double quoted string, or HTML script data context. In most cases this
      will result in an unexploitable parse error but in some cases it could
      result in an XSS vulnerability.

 -- Markus Koschany <apo@gambaru.de>  Mon, 27 Jan 2014 15:56:41 +0100

libspring-java (3.0.6.RELEASE-6+deb7u1) wheezy-security; urgency=high

  * Team upload.
  * Fix CVE-2013-4152.
    - New patch: Add-processExternalEntities-to-JAXB2Marshaller.patch.
    - Now by default external XML entities are not processed when
      unmarshalling. Processing of external entities will only be
      enabled/disabled when the source passed to the unmarshaller is a
      SAXSource or StreamSource. It has no effect for DOMSource or StAXSource
      instances.
    - (Closes: #720902)

 -- Markus Koschany <apo@gambaru.de>  Sun, 29 Dec 2013 13:21:19 +0100

libspring-java (3.0.6.RELEASE-6) unstable; urgency=low

  * Add optional B-D on openjdk-7-jdk.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.3. No changes were required.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 20 Jun 2012 19:50:50 -0430

libspring-java (3.0.6.RELEASE-5) unstable; urgency=low

  * Fix FTBFS by adding a patch that provides compatibility with Velocity 1.7.
    (Closes: #655812).

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 14 Jan 2012 12:08:53 -0430

libspring-java (3.0.6.RELEASE-4) unstable; urgency=low

  * Build-Depends and Recommends libapache-poi-java instead of
    libjakarta-poi-java

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 21 Sep 2011 14:20:27 +0200

libspring-java (3.0.6.RELEASE-3) unstable; urgency=low

  * Since JRuby is now in main, re-enable it in libspring-context-java.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 20 Sep 2011 18:53:09 +0200

libspring-java (3.0.6.RELEASE-2) unstable; urgency=low

  * Use jibx-run-1.2.jar symlink in build classpath. (Closes: #640741).

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 14 Sep 2011 00:51:00 +0200

libspring-java (3.0.6.RELEASE-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove unnecessary 0010_quartz_17.diff patch. It was merged at upstream.
  * Update copyright file.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 20 Aug 2011 18:25:14 -0430

libspring-java (3.0.5.RELEASE-4) unstable; urgency=low

  [ Miguel Landaeta ]
  * Fix FTBFS due to changes introduced in libquartz-java 1.7. (Closes: #638389)
  * Bump Standards-Version to 3.9.2. No changes were required.

  [ Damien Raude-Morvan ]
  * Add DMUA flag for Miguel.
  * Upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 20 Aug 2011 13:33:00 +0200

libspring-java (3.0.5.RELEASE-3) unstable; urgency=low

  * Upgrade d/maven.rules and d/maven.ignoreRules to include
    more information and be more compliant regarding dependencies
    in /usr/share/maven-repo/.
  * B-D and Suggests libaspectj-java instead of aspectj (ie. so no JRE
    in dependencies graph).

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 13 Jun 2011 19:26:54 +0200
