=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: extra
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Miguel Landaeta <miguel@miguel.cc>
-Build-Depends: debhelper (>= 7.0.50~), ant, openjdk-6-jdk
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.0.50~), ant, openjdk-6-jdk | openjdk-7-jdk
 Build-Depends-Indep: maven-repo-helper (>= 1.1), ivy, spring-build-scripts,
- aspectj, bsh, glassfish-javaee, glassfish-mail, glassfish-toplink-essentials,
+ libaspectj-java, bsh, glassfish-javaee, glassfish-mail, glassfish-toplink-essentials,
  groovy, junit4 (>= 4.5), libaopalliance-java, libasm3-java, libatinject-jsr330-api-java,
  libaxis-java, libbackport-util-concurrent-java, libc3p0-java, libcastor-core-java, libcastor-xml-java,
  libcglib-java, libcommons-beanutils-java, libcommons-collections3-java, libcommons-fileupload-java,
@@ -13,21 +14,21 @@
  libeclipselink-java, libehcache-java, libfreemarker-java, libgeronimo-commonj-spec-java,
  libgeronimo-ejb-3.0-spec-java, libgeronimo-interceptor-3.0-spec-java, libgeronimo-j2ee-connector-1.5-spec-java,
  libgeronimo-jms-1.1-spec-java, libgeronimo-jpa-2.0-spec-java, libgeronimo-validation-1.0-spec-java, libhessian-java,
- libhibernate3-java (>= 3.5), libibatis-java, libitext-java, libjackson-json-java, libjakarta-poi-java,
+ libhibernate3-java (>= 3.5), libibatis-java, libitext-java, libjackson-json-java, libapache-poi-java,
  libjamon-java, libjasperreports-java, libjboss-vfs-java, libjdo-api-java (>= 2.2), libjexcelapi-java,
  libjibx1.2-java, libjoda-time-java, libjsf-api-java, libopenjpa-java, libportlet-api-2.0-spec-java,
  libquartz-java, librome-java, libservlet2.5-java, libspring-build-java, libstruts1.2-java,
  libtiles-java, libtomcat6-java, libvelocity-tools-java, libxmlbeans-java, libxstream-java,
- testng, velocity
-Standards-Version: 3.9.1
+ testng, velocity, jruby
+Standards-Version: 3.9.3
 Homepage: http://springframework.org/about
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libspring-java/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libspring-java/
+Vcs-Git: git://git.debian.org/git/pkg-java/libspring-java.git
+Vcs-Browser: http://git.debian.org/?p=pkg-java/libspring-java.git
 
 Package: libspring-core-java
 Architecture: all
 Depends: ${misc:Depends}, libasm3-java, libcommons-logging-java
-Suggests: libcommons-collections3-java, liblog4j1.2-java, aspectj, libjboss-vfs-java
+Suggests: libcommons-collections3-java, liblog4j1.2-java, libaspectj-java, libjboss-vfs-java
 Description: modular Java/J2EE application framework - Core
  Spring is a layered Java/J2EE application framework offering a lot of freedom
  to Java developers yet providing well documented and easy-to-use solutions for
@@ -51,7 +52,7 @@
 Package: libspring-aop-java
 Architecture: all
 Depends: ${misc:Depends}, libspring-core-java (= ${source:Version}), libspring-beans-java (= ${source:Version}), libaopalliance-java
-Suggests: libjamon-java, libcglib-java, aspectj, libcommons-pool-java
+Suggests: libjamon-java, libcglib-java, libaspectj-java, libcommons-pool-java
 Description: modular Java/J2EE application framework - AOP
  Spring is a layered Java/J2EE application framework offering a lot of freedom
  to Java developers yet providing well documented and easy-to-use solutions for
@@ -66,7 +67,7 @@
 Depends: ${misc:Depends}, libspring-aop-java (= ${source:Version}), libspring-beans-java (= ${source:Version}), libspring-core-java (= ${source:Version}), libspring-expression-java (= ${source:Version})
 Recommends: libspring-instrument-java (= ${source:Version}), libbackport-util-concurrent-java, libtomcat6-java, libgeronimo-ejb-3.0-spec-java, libatinject-jsr330-api-java, glassfish-javaee,
  libjodatime-java, libasm3-java, libaopalliance-java, libcglib-java, libgeronimo-validation-1.0-spec-java, libgeronimo-jms-1.1-spec-java
-Suggests: bsh, groovy
+Suggests: jruby, bsh, groovy
 Description: modular Java/J2EE application framework - Context
  Spring is a layered Java/J2EE application framework offering a lot of freedom
  to Java developers yet providing well documented and easy-to-use solutions for
@@ -105,7 +106,7 @@
 Package: libspring-web-servlet-java
 Architecture: all
 Depends: ${misc:Depends}, libspring-web-java (= ${source:Version}), libservlet2.5-java
-Recommends: libspring-context-support-java (= ${source:Version}), libvelocity-tools-java, libjasperreports-java, libtiles-java, libitext-java, libjexcelapi-java, libjakarta-poi-java
+Recommends: libspring-context-support-java (= ${source:Version}), libvelocity-tools-java, libjasperreports-java, libtiles-java, libitext-java, libjexcelapi-java, libapache-poi-java
 Description: modular Java/J2EE application framework - Web Portlet
  Spring is a layered Java/J2EE application framework offering a lot of freedom
  to Java developers yet providing well documented and easy-to-use solutions for
@@ -211,6 +212,3 @@
 Suggests: libxstream-java, libjibx1.2-java, libxmlbeans-java, libcastor-xml-java
 Description: modular Java/J2EE application framework - Object/XML Mapping
  Spring is a layered Java/J2EE application framework offering a lot of freedom
- to Java developers yet providing well documented and easy-to-use solutions for
- common practices in the industry.
- .
