=== debian/watch ===
version=3
https://src.springframework.org/svn/spring-framework/tags/ \
        spring-framework-(.*)/
