## libspring-java 3.1.0~M2

=== debian/changelog ===
libspring-java (3.1.0~M2-2) experimental; urgency=low

  [ Miguel Landaeta ]
  * Use jibx-run-1.2.jar symlink in build classpath.

  [ Damien Raude-Morvan ]
  * Since JRuby is now in main, re-enable it in libspring-context-java.
  * Build-Depends and Recommends libapache-poi-java instead of
    libjakarta-poi-java
  * Add DM-Upload-Allowed: Yes (as in unstable) for Miguel.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 21 Sep 2011 14:47:50 +0200

libspring-java (3.1.0~M2-1) experimental; urgency=low

  [ Miguel Landaeta ]
  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Add dependencies on libhttpcore-java and libhttpclient-java.
  * Add 0010_httpclient_41.diff and 0011_servlet_30.diff patches.
  * Update watch file.

  [ Damien Raude-Morvan ]
  * Fix d/rules get-orig-source target to remplace ~MX suffix by .MX.
  * Update to experimental.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 06 Aug 2011 20:50:05 +0200
