=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Miguel Landaeta <miguel@miguel.cc>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), ant, openjdk-6-jdk | openjdk-7-jdk
+Build-Depends: debhelper (>= 7.0.50~), ant, openjdk-6-jdk
 Build-Depends-Indep: maven-repo-helper (>= 1.1), ivy, spring-build-scripts,
  libaspectj-java, bsh, glassfish-javaee, glassfish-mail, glassfish-toplink-essentials,
  groovy, junit4 (>= 4.5), libaopalliance-java, libasm3-java, libatinject-jsr330-api-java,
@@ -19,11 +19,11 @@
  libjibx1.2-java, libjoda-time-java, libjsf-api-java, libopenjpa-java, libportlet-api-2.0-spec-java,
  libquartz-java, librome-java, libservlet2.5-java, libspring-build-java, libstruts1.2-java,
  libtiles-java, libtomcat6-java, libvelocity-tools-java, libxmlbeans-java, libxstream-java,
- testng, velocity, jruby
-Standards-Version: 3.9.3
+ testng, velocity, libhttpcore-java, libhttpclient-java (>= 4.1.1), libservlet3.0-java, jruby
+Standards-Version: 3.9.2
 Homepage: http://springframework.org/about
-Vcs-Git: git://git.debian.org/git/pkg-java/libspring-java.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/libspring-java.git
+Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libspring-java/
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libspring-java/
 
 Package: libspring-core-java
 Architecture: all
@@ -92,7 +92,7 @@
 Package: libspring-web-java
 Architecture: all
 Depends: ${misc:Depends}, libspring-beans-java (= ${source:Version}), libspring-context-java (= ${source:Version}), libspring-core-java (= ${source:Version})
-Recommends: libspring-aop-java (= ${source:Version}), libspring-oxm-java (= ${source:Version})
+Recommends: libspring-aop-java (= ${source:Version}), libspring-oxm-java (= ${source:Version}), libhttpcore-java, libhttpclient-java (>= 4.1.1), libservlet3.0-java
 Suggests: libhessian-java, libcommons-httpclient-java, libaxis-java, libcommons-fileupload-java,
  libjackson-json-java
 Description: modular Java/J2EE application framework - Web
@@ -211,4 +211,3 @@
 Depends: ${misc:Depends}, libspring-core-java (= ${source:Version}), libspring-beans-java (= ${source:Version}), libspring-context-java (= ${source:Version})
 Suggests: libxstream-java, libjibx1.2-java, libxmlbeans-java, libcastor-xml-java
 Description: modular Java/J2EE application framework - Object/XML Mapping
- Spring is a layered Java/J2EE application framework offering a lot of freedom
