=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 PACKAGE := $(shell dpkg-parsechangelog | grep '^Source:' | cut -f 2 -d ' ')
 VERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')
+UVERSION := $(shell echo ${VERSION} | sed 's/~M/.M/')
 
 JAVA_HOME       := /usr/lib/jvm/default-java
 ANT_ARGS        := -propertyfile debian/ant.properties
@@ -48,5 +49,5 @@
 # Make a Debian version of upstream tarball
 # Details given in README.source
 get-orig-source:
-	wget -O ../spring-framework.zip http://s3.amazonaws.com/dist.springframework.org/release/SPR/spring-framework-${VERSION}-with-docs.zip
+	wget -O ../spring-framework.zip http://s3.amazonaws.com/dist.springframework.org/milestone/SPR/spring-framework-${UVERSION}-with-docs.zip
 	debian/orig-tar.sh --upstream-version ${VERSION} ../spring-framework.zip
