=== debian/watch ===
version=3
opts="uversionmangle=s/\.M/~M/" \
https://src.springframework.org/svn/spring-framework/tags/ \
        spring-framework-(.*)/
